<nz-layout (window:resize)="setContentHeight($event)" (click)="closeNav($event)">
  <nz-header >
    <div class="logo xs-logo">
      <span (click)="changeGuestTab($event,huaweiHomeLink)" routerLink="{{huaweiHomeLink}}"><img class="xs-logo-img" src="../../../assets/huawei_logo.png" style="padding:10px;margin-top:-10px;" /></span>
      <span *ngIf="userType == 'admin'" (click)="changeMECTab($event,homeLink)" routerLink="{{homeLink}}">| <span [ngClass]="selectedTab == '/admin/home' ? 'selectedTab' : 'nonSelectedTab'">ONAPaaS</span></span>
      <span *ngIf="userType == 'admin'" (click)="changeMECTab($event,mePassLink)" routerLink="{{mePassLink}}">| <span [ngClass]="selectedTab == '/admin/mec/home' ? 'selectedTab' : 'nonSelectedTab'">MEC</span></span>
      <span *ngIf="userType == 'tenant'" (click)="changeTab($event,homeLink,homeLink)">| <span  [ngClass]="selectedTab == '/tenant/home' ? 'selectedTab' : 'nonSelectedTab'">ONAPaaS</span></span>
      <span *ngIf="userType == 'tenant'" (click)="changeTab($event,mePassLink,mePassLink)">| <span [ngClass]="selectedTab == '/tenant/mec/home' ? 'selectedTab' : 'nonSelectedTab'">MEC</span></span>
      <span *ngIf="userType != 'admin' && userType != 'tenant'" (click)="changeGuestTab($event,homeLink)" routerLink="{{homeLink}}">| <span [ngClass]="selectedTab == '/paas/home' ? 'selectedTab' : 'nonSelectedTab'">ONAPaaS</span></span>
      <span *ngIf="userType != 'admin' && userType != 'tenant'" (click)="changeGuestTab($event,mePassLink)" routerLink="{{mePassLink}}">| <span [ngClass]="selectedTab == '/paas/mepaas' ? 'selectedTab' : 'nonSelectedTab'">MEC</span></span>
    </div>
    <ul nz-menu class="xs-display-none">
      <div *ngIf="userType == 'admin'">
        <li class="liCls" *ngFor="let lbl of menuItems">
          <a *ngIf="lbl.routerLink" routerLink="{{lbl.routerLink}}" (click)="changeTab($event,lbl.name,lbl.name)" [ngClass]="selectedTab == lbl.name ? 'selectedTab' : 'nonSelectedTab'">{{lbl.name}}</a>
          <a *ngIf="!lbl.routerLink" (click)="changeTab($event,lbl.name,lbl.name)" [ngClass]="selectedTab == lbl.name ? 'selectedTab' : 'nonSelectedTab'">{{lbl.name}}</a>
          <div *ngIf="lbl.submenuitem" class="dropdown-content">
            <a *ngFor="let sumitem of lbl.submenuitem"  (click)="changeTab($event,lbl.name,lbl.name)"><img class="dropdown-img iconStyle"
                src="{{sumitem.lblImg}}" alt="{{sumitem.name}}" /> &nbsp; {{sumitem.name}}</a>
          </div>
        </li>
      </div>
      <div *ngIf="userType == 'tenant'">
        <li class="liCls" *ngFor="let lbl of menuItems">
          <a (click)="changeTab($event,lbl.name,lbl.name)" [ngClass]="selectedTab == lbl.name ? 'selectedTab' : 'nonSelectedTab'">{{lbl.name}}</a>
          <div *ngIf="lbl.submenuitem" class="dropdown-content">
            <a *ngFor="let sumitem of lbl.submenuitem" ><img class="dropdown-img iconStyle" src="{{sumitem.lblImg}}"
                alt="{{sumitem.name}}" />
                 <span *ngIf="sumitem.name == 'vFirewallCL'"  (click)="changeTab($event,sumitem.name,lbl.name)">&nbsp; {{sumitem.name}}</span>
                 <span  *ngIf="sumitem.name != 'vFirewallCL'"  >&nbsp; {{sumitem.name}}</span>
                </a>
          </div>
        </li>
        <li class="liCls" *ngIf="isHomeData">
          <a [ngClass]="selectedTab == 'Contact Us' ? 'selectedTab' : 'nonSelectedTab'">Contact Us</a>
          <div  class="dropdown-content">
            <a (click)="changeTab($event,'Contact Us','Contact Us')"><img class="dropdown-img iconStyle" src="../assets/tenant-imges/slack.png"
                alt="Slack" />
                 <span>&nbsp; Slack</span>
              </a>
              <a (click)="changeTab($event,'Contact Us','Contact Us')"><img class="dropdown-img iconStyle" src="../assets/tenant-imges/mail.png"
                alt="Reach" />
                 <span>&nbsp; Reach Us</span>
              </a>
          </div>
        </li>
      </div>
      <li class="right" *ngIf="userType != ''"><a><img src="../../../assets/chat.png" /> </a></li>
      <li class="right"><a routerLink='/help'><img src="../../../assets/help.png" /> </a></li>
      <li class="right userIcon" *ngIf="userType != '' && userType != 'paas'"><a><img src="../../../assets/user.png" /></a>
        <div class="dropdown-content">
          <a routerLink='/login-HOUP'><img src="../../../assets/logout.png" />&nbsp;Logout</a>
        </div>
      </li>
      <li class="right" *ngIf="userType == '' || userType == 'paas'">
        <a>
              <img class="iconStyle" [ngClass]="selectedTab == '/login-HOUP' ? 'selectedTab' : 'nonSelectedTab'" routerLink='/login-HOUP'
            src="../../../assets/login_1.png" />
          </a>
        </li>
      <li class="right" *ngIf="userType != ''"><a><img routerLink='' src="../../../assets/search.png" /> </a>
      </li>
    </ul>
    <!--Responsive-->
    <div>
      <ul>
          <li class="right sideMenu mobileIcon" *ngIf="userType == ''"><a><img class="iconStyle" routerLink='/login-HOUP'
            src="../../../assets/login_1.png" /> </a></li>
         <li *ngIf="userType !== ''"class="liCls sideMenu right"><a href="javascript:void(0)" (click)="openNav($event)">&#9776;</a></li>
      </ul>
    </div>
  </nz-header>
  <nz-content [ngStyle]="{'height':containerHeight }">
    <flash-messages></flash-messages>
    <router-outlet (activate)="onActivate($event)"></router-outlet>
  </nz-content>
  <nz-footer class="footer"> ©Copyright 2019 of <img src="../../../assets/huawei-logo-transparent-2.png" width="75px">
  </nz-footer>
</nz-layout>
<app-chat class="chat-icon"></app-chat>
<!---Responsive Header-->
<div id="mySidenav" class="sidenav" [ngStyle]="{'width':sideNavWidth }">
  <div class="user">
    <img class="user-icon" src="../../../../assets/User.jpg" alt="tenant-user">
  </div>
  <ul class="list-items">
       <!--admin-->
      <div *ngIf="userType == 'admin'">
          <li class="xs-list panel" *ngFor="let lbl of menuItems">
            <a *ngIf="lbl.routerLink" routerLink="{{lbl.routerLink}}">{{lbl.name}}</a>
            <a class="dropdown-toggle" data-toggle="collapse" data-target="#contact" *ngIf="!lbl.routerLink">{{lbl.name}}</a>
            <div class="dropdown-content " id="contact" class="collapse" *ngIf="lbl.submenuitem" >
              <a *ngFor="let sumitem of lbl.submenuitem" > &nbsp; {{sumitem.name}}</a>
            </div>
          </li>
          <li class="xs-list panel">
            <a routerLink='/login-HOUP' (click)="closeNav($event);logout();">Logout</a>
          </li>
        </div>
        <!--Tenant-->
      <div *ngIf="userType == 'tenant'">
        <li class="xs-list panel" *ngFor="let lbl of menuItems">
          <a class="dropdown-toggle toggleIcon" *ngIf="!lbl.submenuitem"  data-toggle="collapse"   (click)="changeContent($event,lbl.name)">{{lbl.name}}</a>
          <a class="dropdown-toggle" *ngIf="lbl.submenuitem"  data-toggle="collapse" data-target="#contact"  (click)="changeContent($event,lbl.name)">{{lbl.name}}</a>
          <div class="dropdown-content " id="contact" class="collapse" *ngIf="lbl.submenuitem" >
            <a *ngFor="let sumitem of lbl.submenuitem" >
                  <span *ngIf="sumitem.name == 'vFirewallCL'"  (click)="changeContent($event,sumitem.name)">&nbsp; {{sumitem.name}}</span>
                 <span  *ngIf="sumitem.name != 'vFirewallCL'"  >&nbsp; {{sumitem.name}}</span>
                </a>
          </div>
        </li>
        
        <li class="xs-list panel">
          <a class="dropdown-toggle"   data-toggle="collapse" data-target="#contact1">Contact Us</a>
          <div class="dropdown-content " id="contact1" class="collapse" >
            <a>
                <span>&nbsp;Slack</span>
              </a>
            <a>
              <span>&nbsp;Reach Us</span>
            </a>
          </div>
        </li>
        <li class="xs-list panel">
          <a routerLink='/login-HOUP' (click)="closeNav($event)">Logout</a>
        </li>
      </div>
  </ul>
  
</div>
